Package: org.codehaus.groovy.tools.javac

## [Java] Class JavaAwareCompilationUnit

- org.codehaus.groovy.tools.javac.JavaAwareCompilationUnit

- Compilation Unit capable of compiling Java source files.

  Authors:
    Alex.Tkachman

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class CompilationUnit` | `ast, astTransformationsContext, classNodeResolver, classSourcesByPublicClassName, classgenCallback, configured, debug, generatedClasses, names, optimizer, progressCallback, queuedSources, resolveVisitor, sources, staticImportVisitor, summariesByPublicClassName, summariesBySourceName, verifier`
    `class ProcessingUnit` | `classLoader, configuration, errorCollector, phase, phaseComplete`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `JavaAwareCompilationUnit (CompilerConfiguration configuration)`
    `JavaAwareCompilationUnit (CompilerConfiguration configuration, GroovyClassLoader groovyClassLoader)`
    `JavaAwareCompilationUnit (CompilerConfiguration configuration, GroovyClassLoader groovyClassLoader, GroovyClassLoader transformClassLoader)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `addSources(String[] paths)`
    `` | `void` | `addSources(File[] files)`
    `` | `void` | `configure(CompilerConfiguration configuration)`
    `` | `JavaCompilerFactory` | `getCompilerFactory()`
    `` | `void` | `gotoPhase(int phase)`
    `` | `void` | `setCompilerFactory(JavaCompilerFactory compilerFactory)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---

    `class CompilationUnit`

    `addClassNode, addFirstPhaseOperation, addNewPhaseOperation, addPhaseOperation, addPhaseOperation, addPhaseOperation, addSource, addSource, addSource, addSource, addSource, addSources, addSources, applyToGeneratedGroovyClasses, applyToPrimaryClassNodes, applyToSourceUnits, compile, compile, configure, createClassVisitor, dequeued, getAST, getASTTransformationsContext, getClassNode, getClassNodeResolver, getClassSourcesByPublicClassName, getClasses, getClassgenCallback, getFirstClassNode, getProgressCallback, getSummariesByPublicClassName, getSummariesBySourceName, getTransformLoader, isPublicClass, iterator, mark, setClassNodeResolver, setClassgenCallback, setProgressCallback`

    `class ProcessingUnit` | `completePhase, configure, getClassLoader, getConfiguration, getErrorCollector, getPhase, getPhaseDescription, gotoPhase, nextPhase, setClassLoader, setConfiguration`
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### public JavaAwareCompilationUnit(CompilerConfiguration configuration)

    - #### public JavaAwareCompilationUnit(CompilerConfiguration configuration, GroovyClassLoader groovyClassLoader)

    - #### public JavaAwareCompilationUnit(CompilerConfiguration configuration, GroovyClassLoader groovyClassLoader, GroovyClassLoader transformClassLoader)

  - ### Method Detail

    - #### public void addSources(String[] paths)

    - #### public void addSources(File[] files)

    - #### public void configure(CompilerConfiguration configuration)

    - #### public JavaCompilerFactory getCompilerFactory()

    - #### public void gotoPhase(int phase)

    - #### public void setCompilerFactory(JavaCompilerFactory compilerFactory)